Unit tqss2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSS2R_p, QSS2R_p;

function tqss2r: String;

implementation

function tqss2r: String;
var
_i,IERR :Integer;
RINT :Array [0..4] of Real;
R :Array [0..14] of Real;
IND :Array [0..4] of Integer;
begin
Result := '';  {   }
QSS2R(RINT,0.0,1.0,FQSS2R,5,1.E-6,1,IND,R,IERR);
Result := Result + Format('%s',[' RINT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[RINT[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IND=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%10d ',[IND[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
UtRes('tqss2r',Result);  {     tqss2r.res }
exit;
end;

end.
